Skip to navigation

List Projects

Beta

Returns a list of infrastructure hosting projects for the store. Supports cursor-based pagination and filtering.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Infrastructure Deploymentsread-onlystore_infrastructure_deployments_read_only
Infrastructure Deploymentscreate previewstore_infrastructure_deployments_create_preview
Infrastructure Deploymentsmanagestore_infrastructure_deployments_manage
Infrastructure Projectsread-onlystore_infrastructure_projects_read_only
Infrastructure Projectsmanagestore_infrastructure_projects_manage
Infrastructure Logsread-onlystore_infrastructure_logs_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Query parameters

limitintegerOptionalDefaults to 50
The number of results to return per page. Defaults to 50.
afterstringOptional
Cursor for forward pagination. Returns results after this cursor.
beforestringOptional
Cursor for backward pagination. Returns results before this cursor.
uuid:instringOptional

A comma-separated list of project UUIDs by which to filter. For example, ?uuid:in=uuid1,uuid2.

name:likestringOptional
Filter projects by name using a partial match.
date_created:mindatetimeOptional

Filter for projects created after this date. RFC 3339 format, for example 2024-01-01T00:00:00Z.

date_created:maxdatetimeOptional

Filter for projects created before this date. RFC 3339 format, for example 2024-12-31T23:59:59Z.

date_modified:mindatetimeOptional
Filter for projects modified after this date. RFC 3339 format.
date_modified:maxdatetimeOptional
Filter for projects modified before this date. RFC 3339 format.

Response

The request completed successfully.
datalist of objectsOptional
metaobjectOptional

Meta information including cursor-based pagination.

Errors

422
Unprocessable Entity Error